var rowTemplate =
  '<div class="group-item-container">\n  <div class="group-item-container-inner {{? it.progress==100}}finish{{?? it.progress>=80}}eighty-per{{?? it.progress>=50}}fifty-per{{?? it.progress>=30}}thirty-per{{??}}start{{?}}">\n    <div data-column="title" class="group-item-title"></div>\n    <div data-column="photo" class="group-photo-container"></div>\n    <div data-column="description" class="group-item-description"></div>\n  </div>\n</div>';
var photoPresenter = '<img class="employee-photo" src={{=it.photo}} />';
var cols = [
  {
    id: 'title',
    name: 'title',
    dataField: 'title',
  },
  {
    id: 'description',
    name: 'description',
    dataField: 'description',
  },
  {
    id: 'photo',
    dataField: 'photo',
    presenter: photoPresenter,
  },
  {
    id: 'progress',
    dataField: 'progress',
  },
];
var trellis = new GC.DataViews.TrellisGrouping({
  panelUnitWidth: 190,
});
var layout = new GC.DataViews.GridLayout({
  grouping: [
    {
      field: 'work',
      header: {
        height: 24,
      },
      footer: {
        visible: false,
      },
    },
    {
      field: 'category',
      header: {
        height: 24,
      },
      footer: {
        visible: false,
      },
    },
  ],
  rowTemplate: rowTemplate,
  rowHeight: 120,
  groupStrategy: trellis,
});
var dataView = new GC.DataViews.DataView(document.getElementById('grid'), data, cols, layout);
